<?xml version="1.0" encoding="utf-8"?>
<!--
	PACK_DEPOSIT_REFUND v0.01

	Copyright (C) 2024 Environment Agency Austria
	Contact: edm-helpdesk@umweltbundesamt.at

	Commissioned by the Austrian Federal Ministry of Environment (BMK)

	Licensed under the EUPL, Version 1.2 or – as soon they will be approved
	by the European Commission – subsequent versions of the EUPL (the "Licence");

	You may not use this work except in compliance with the Licence.

	You may obtain a copy of the Licence at: http://joinup.ec.europa.eu/software/page/eupl

	Unless required by applicable law or agreed to in writing, work distributed under the licence is distributed
	on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

	See the Licence for the specific language governing permissions and limitations under the Licence.
-->
<xsl:transform xmlns:error="https://doi.org/10.5281/zenodo.1495494#error" xmlns:f="http://f.net/" xmlns:pkm="http://www.umweltbundesamt.at/schema/pack_deposit_refund_message" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:sch="http://purl.oclc.org/dsdl/schematron" xmlns:schxslt="https://doi.org/10.5281/zenodo.1495494" xmlns:schxslt-api="https://doi.org/10.5281/zenodo.1495494#api" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<rdf:Description xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dct="http://purl.org/dc/terms/" xmlns:skos="http://www.w3.org/2004/02/skos/core#">
		<dct:created>2025-01-27T18:00:47.3023744+01:00</dct:created>
	</rdf:Description>
	<xsl:output indent="yes"/>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:UTCtimestampToDate" as="xs:date">
		<xsl:param name="dt" as="xs:dateTime"/>
		<xsl:param name="offset" as="xs:dayTimeDuration"/>
		<xsl:sequence select="xs:date(format-dateTime(adjust-dateTime-to-timezone($dt, $offset),'[Y]-[M,2]-[D,2]'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:isPeriodCoverage" as="xs:boolean">
		<xsl:param name="periodastartdate" as="xs:date"/>
		<xsl:param name="periodaenddate" as="xs:date"/>
		<xsl:param name="lnodestructperiodb" as="node()"/>
		<xsl:param name="selemnamestartdate" as="xs:string"/>
		<xsl:param name="selemnameenddate" as="xs:string"/>
		<xsl:sequence select="if ((count($lnodestructperiodb/*[local-name() eq $selemnamestartdate]) ne 1) or (count($lnodestructperiodb/*[local-name() eq $selemnameenddate]) gt 1)) then (false()) else (if (count($lnodestructperiodb/*[local-name() eq $selemnameenddate]) eq 0) then (if (xs:date(($lnodestructperiodb/*[local-name() eq $selemnamestartdate])[1]) le $periodastartdate) then (true()) else (false())) else (if ((xs:date(($lnodestructperiodb/*[local-name() eq $selemnamestartdate])[1]) le $periodastartdate) and (xs:date(($lnodestructperiodb/*[local-name() eq $selemnameenddate])[1]) ge $periodaenddate)) then (true()) else (false())))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:safeStringValue" as="xs:string">
		<xsl:param name="n_elem" as="node()?"/>
		<xsl:sequence select="if (exists($n_elem) and exists($n_elem/text())) then ($n_elem/text()) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:safeEQ" as="xs:boolean">
		<xsl:param name="n_elem_a" as="node()?"/>
		<xsl:param name="n_elem_b" as="node()?"/>
		<xsl:sequence select="if (exists($n_elem_a) and exists($n_elem_b)) then (($n_elem_a/text() eq $n_elem_b/text())) else (false())"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:safeEQnull" as="xs:boolean">
		<xsl:param name="n_elem_a" as="node()?"/>
		<xsl:param name="n_elem_b" as="node()?"/>
		<xsl:sequence select="if (exists($n_elem_a) and exists($n_elem_b)) then (($n_elem_a/text() eq $n_elem_b/text())) else (not(exists($n_elem_a)) and not(exists($n_elem_b)))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:safeEQnullElem" as="xs:boolean">
		<xsl:param name="n_elem_a" as="node()"/>
		<xsl:param name="n_elem_b" as="node()"/>
		<xsl:param name="s_elem_name" as="xs:string"/>
		<xsl:variable name="lna" select="$n_elem_a/*[name() eq $s_elem_name]"/>
		<xsl:variable name="lnb" select="$n_elem_b/*[name() eq $s_elem_name]"/>
		<xsl:variable name="na" select="if (count($lna) eq 1) then ($lna[1]) else ()"/>
		<xsl:variable name="nb" select="if (count($lnb) eq 1) then ($lnb[1]) else ()"/>
		<xsl:sequence select="if ((count($lna) le 1) and (count($lnb) le 1)) then (f:safeEQnull($na,$nb)) else (false())"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:prefixIfNonEmpty" as="xs:string">
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:param name="smain" as="xs:string"/>
		<xsl:sequence select="if ($smain eq '') then ('') else (concat($sprefix,$smain))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:prefixSuffixIfNonEmpty" as="xs:string">
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:param name="smain" as="xs:string"/>
		<xsl:param name="ssuffix" as="xs:string"/>
		<xsl:sequence select="if ($smain eq '') then ('') else (concat($sprefix,$smain,$ssuffix))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:eventElemNameBasic" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:sequence select="if (exists($leventelem/sch:data/sch:row[sch:val0 eq $selemname])) then ($leventelem/sch:data/sch:row[sch:val0 eq $selemname]/sch:val1) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:eventElemNameExt" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sval" as="xs:string"/>
		<xsl:sequence select="if (exists($leventelem/sch:data/sch:row[sch:val0 eq $selemname])) then ($leventelem/sch:data/sch:row[sch:val0 eq $selemname]/sch:*[local-name() eq $sval]/text()) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:contentTypeString" as="xs:string">
		<xsl:param name="lcontenttypenode" as="node()"/>
		<xsl:param name="scontenttypeid" as="xs:string"/>
		<xsl:sequence select="if (exists($lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid])) then (concat('»',$lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid]/sch:val1,' gemäß ',$lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid]/sch:val2,'« (Code »',$scontenttypeid,'«)')) else (concat('»',$scontenttypeid,'«'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveMessageTypeID" as="xs:string">
		<xsl:param name="l8686" as="node()"/>
		<xsl:param name="smessagetypeid" as="xs:string"/>
		<xsl:sequence select="concat('»',if (exists($l8686/sch:data/sch:row[sch:val0 eq $smessagetypeid])) then ($l8686/sch:data/sch:row[sch:val0 eq $smessagetypeid]/sch:val1) else ($smessagetypeid),'«')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveGTINString" as="xs:string">
		<xsl:param name="lattrvaluenode" as="node()"/>
		<xsl:param name="sgtin" as="xs:string"/>
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:sequence select="if (exists($lattrvaluenode/sch:data/sch:row[sch:val0 eq $sgtin])) then (concat($sprefix,'»',$lattrvaluenode/sch:data/sch:row[sch:val0 eq $sgtin]/sch:val1,'« (GTIN ',$sgtin,')')) else (concat($sprefix,' mit der GTIN ',$sgtin))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolvePartyIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:param name="sregid" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[((pkm:PartyPublicAdminGLNID eq $sid) and ($sregid eq 'GLN.AT')) or ((pkm:PartyEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM'))])) then (concat('»',($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[((pkm:PartyPublicAdminGLNID eq $sid) and ($sregid eq 'GLN.AT')) or ((pkm:PartyEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM'))])[1]/pkm:PartyName,'« (',$sregid,' ',$sid,')')) else (concat('mit der ',$sregid,' ',$sid))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveLocalPartyRefString" as="xs:string">
		<xsl:param name="lnodemessage" as="node()"/>
		<xsl:param name="sref" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodemessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq $sref])) then (concat('»',$lnodemessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq $sref]/pkm:Name,'«')) else (concat('»',$sref,'«'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveSiteIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:param name="sregid" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[(pkm:SiteEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM')])) then (concat('»',($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[(pkm:SiteEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM')])[1]/pkm:SiteName,'« (',$sregid,' ',$sid,')')) else (concat('mit der ',$sregid,' ',$sid))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveLocalSiteRefString" as="xs:string">
		<xsl:param name="lnodemessage" as="node()"/>
		<xsl:param name="sref" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodemessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq $sref])) then (concat('»',$lnodemessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq $sref]/pkm:Name,'«')) else (concat('»',$sref,'«'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveCountryIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:variable name="lnodeelem" select="$lnodevalcontext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq $sid]"/>
		<xsl:sequence select="if (exists($lnodeelem) and exists($lnodeelem/pkm:CountryTwoLetterID)) then (concat($lnodeelem/pkm:CountryTwoLetterID,' (ID »',$sid,'«)')) else (concat('»',$sid,'«'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:formatCount" as="xs:string">
		<xsl:param name="lnodecount" as="node()"/>
		<xsl:sequence select="translate(format-number(xs:decimal($lnodecount), '#,##0'),'.,',',.')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:formatMassCore" as="xs:string">
		<xsl:param name="dmass" as="xs:decimal"/>
		<xsl:sequence select="concat(translate(format-number($dmass, '#,##0.##'),'.,',',.'),' kg')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:formatMass" as="xs:string">
		<xsl:param name="lnodemass" as="node()"/>
		<xsl:sequence select="f:formatMassCore(xs:decimal($lnodemass))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:checkUseElem" as="xs:boolean">
		<xsl:param name="sname" as="xs:string"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:sequence select="if ($sfilterincl ne '') then (if (contains($sfilterincl,concat('.',$sname,'.'))) then (true()) else (false())) else (if ($sfilterexcl ne '') then (if (not(contains($sfilterexcl,concat('.',$sname,'.')))) then (true()) else (false())) else (true()))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemMassValue" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:MassValue) and f:checkUseElem('MassValue',$sfilterincl,$sfilterexcl)) then (concat(if ($bheader eq true()) then ('Masse ') else (''),f:formatMass($lnodeevent/pkm:MassValue))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemCount" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:Count) and f:checkUseElem('Count',$sfilterincl,$sfilterexcl)) then (concat(if ($bheader eq true()) then ('Anzahl ') else (''),f:formatCount($lnodeevent/pkm:Count))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemMaterialTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:MaterialTypeID) and f:checkUseElem('MaterialTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Packstoff ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:MaterialTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventSingleUsePlasticBottleTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:SingleUsePlasticBottleTypeID) and f:checkUseElem('SingleUsePlasticBottleTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Einwegkunststoff-Getränkeflaschen-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:SingleUsePlasticBottleTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemBeverageTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:BeverageTypeID) and f:checkUseElem('BeverageTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Getränkekategorie ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:BeverageTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemBeverageVolumeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:BeverageVolumeID) and f:checkUseElem('BeverageVolumeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Getränkevolumen-Kategorie ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:BeverageVolumeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoveryTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnode4399" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryTypeID) and f:checkUseElem('RecoveryTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsart ') else (''),f:resolveGTINString($lnode4399,$lnodeevent/pkm:RecoveryTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoveryPartyID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryPartyID) and f:checkUseElem('RecoveryPartyID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsunternehmen ') else (''),f:resolvePartyIDString($lnodeevent/../../..,$lnodeevent/pkm:RecoveryPartyID,$lnodeevent/pkm:RecoveryPartyID/@registerID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoveryPartyLocalReferenceID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID) and f:checkUseElem('RecoveryPartyLocalReferenceID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsunternehmen ') else (''),f:resolveLocalPartyRefString($lnodeevent/../..,$lnodeevent/pkm:RecoveryPartyLocalReferenceID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoverySiteID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoverySiteID) and f:checkUseElem('RecoverySiteID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsstandort ') else (''),f:resolveSiteIDString($lnodeevent/../../..,$lnodeevent/pkm:RecoverySiteID,$lnodeevent/pkm:RecoverySiteID/@registerID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoverySiteLocalReferenceID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoverySiteLocalReferenceID) and f:checkUseElem('RecoverySiteLocalReferenceID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsstandort ') else (''),f:resolveLocalSiteRefString($lnodeevent/../..,$lnodeevent/pkm:RecoverySiteLocalReferenceID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEvent" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:param name="lnode4399" as="node()"/>
		<xsl:sequence select="string-join((f:describeEventElemMaterialTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventSingleUsePlasticBottleTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat),  f:describeEventElemBeverageTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat),   f:describeEventElemBeverageVolumeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat),   f:describeEventRecoveryTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnode4399), f:describeEventRecoveryPartyID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoveryPartyLocalReferenceID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoverySiteID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoverySiteLocalReferenceID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventElemMassValue($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventElemCount($lnodeevent,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyLocalAssignmentID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:LocalAssignmentID) and f:checkUseElem('LocalAssignmentID',$sfilterincl,$sfilterexcl)) then (concat('ID zur Referenzierung innerhalb der Übermittlung: »',$lnodeparty/pkm:LocalAssignmentID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:ID) and f:checkUseElem('ID',$sfilterincl,$sfilterexcl)) then (concat($lnodeparty/pkm:ID/@registerID,': »',$lnodeparty/pkm:ID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyName" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:Name) and f:checkUseElem('Name',$sfilterincl,$sfilterexcl)) then (concat('Bezeichnung: »',$lnodeparty/pkm:Name,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyCountry" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressCountryID) and f:checkUseElem('RegisteredOfficeAddressCountryID',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Land: ',f:resolveCountryIDString($lnodevalcontext,$lnodeparty/pkm:RegisteredOfficeAddressCountryID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyPostalAreaID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressPostalAreaID) and f:checkUseElem('RegisteredOfficeAddressPostalAreaID',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Postleitzahl: »',$lnodeparty/pkm:RegisteredOfficeAddressPostalAreaID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyCity" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressCityName) and f:checkUseElem('RegisteredOfficeAddressCityName',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Ort: »',$lnodeparty/pkm:RegisteredOfficeAddressCityName,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeParty" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="string-join((f:describePartyName($lnodeparty,$sfilterincl,$sfilterexcl,true()), f:describePartyID($lnodeparty,$sfilterincl,$sfilterexcl,true()), f:describePartyCountry($lnodeparty,$sfilterincl,$sfilterexcl,true(),$lnodevalcontext),f:describePartyPostalAreaID($lnodeparty,$sfilterincl,$sfilterexcl,true()),f:describePartyCity($lnodeparty,$sfilterincl,$sfilterexcl,true()),f:describePartyLocalAssignmentID($lnodeparty,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSiteLocalAssignmentID" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:LocalAssignmentID) and f:checkUseElem('LocalAssignmentID',$sfilterincl,$sfilterexcl)) then (concat('ID zur Referenzierung innerhalb der Übermittlung: »',$lnodesite/pkm:LocalAssignmentID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSiteName" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:Name) and f:checkUseElem('Name',$sfilterincl,$sfilterexcl)) then (concat('Bezeichnung: »',$lnodesite/pkm:Name,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSiteCountry" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressCountryID) and f:checkUseElem('AddressCountryID',$sfilterincl,$sfilterexcl)) then (concat('Land: ',f:resolveCountryIDString($lnodevalcontext,$lnodesite/pkm:AddressCountryID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSitePostalAreaID" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressPostalAreaID) and f:checkUseElem('AddressPostalAreaID',$sfilterincl,$sfilterexcl)) then (concat('Postleitzahl: »',$lnodesite/pkm:AddressPostalAreaID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSiteCity" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressCityName) and f:checkUseElem('AddressCityName',$sfilterincl,$sfilterexcl)) then (concat('Ort: »',$lnodesite/pkm:AddressCityName,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSite" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="string-join((f:describeSiteName($lnodesite,$sfilterincl,$sfilterexcl,true()),  f:describeSiteCountry($lnodesite,$sfilterincl,$sfilterexcl,true(),$lnodevalcontext),f:describeSitePostalAreaID($lnodesite,$sfilterincl,$sfilterexcl,true()),f:describeSiteCity($lnodesite,$sfilterincl,$sfilterexcl,true()),f:describeSiteLocalAssignmentID($lnodesite,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:isZeroSupportingContentType" as="xs:boolean">
		<xsl:param name="scontenttypeid" as="xs:string"/>
		<xsl:sequence select="if (((substring($scontenttypeid,1,7) eq 'PLC_MKT') and (contains($scontenttypeid,'.aPLC_MKT'))) or contains($scontenttypeid,'.sSP')) then (true()) else (false())"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:isUnsupportedEventElem" as="xs:boolean">
		<xsl:param name="nevent" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sstrctid" as="xs:string"/>
		<xsl:param name="l8261node" as="node()"/>
		<xsl:variable name="breq" select="exists(($l8261node/sch:data/sch:row)[(sch:val0 eq $sstrctid) and (sch:val1 eq $selemname)])"/>
		<xsl:sequence select="if ($breq eq false()) then (true()) else (if ($selemname eq 'SingleUsePlasticBottleTypeID') then (($sstrctid ne 'STRCT07') and (not(exists($nevent/pkm:MaterialTypeID)) or ($nevent/pkm:MaterialTypeID ne '9008390101476'))) else (false()))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:isRequiredEventElem" as="xs:boolean">
		<xsl:param name="nevent" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sstrctid" as="xs:string"/>
		<xsl:param name="l8261node" as="node()"/>
		<xsl:variable name="breq" select="exists(($l8261node/sch:data/sch:row)[(sch:val0 eq $sstrctid) and (sch:val1 eq $selemname)])"/>
		<xsl:sequence select="if ($breq eq false()) then (false()) else (if ($selemname eq 'SingleUsePlasticBottleTypeID') then (($sstrctid eq 'STRCT07') or (exists($nevent/pkm:MaterialTypeID) and ($nevent/pkm:MaterialTypeID eq '9008390101476'))) else (true()))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:flexiContainsEventElem" as="xs:boolean">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:sequence select="if ($selemname eq 'RecoveryPartyID') then (exists($lnodeevent/pkm:RecoveryPartyID) or exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID)) else (if ($selemname eq 'RecoverySiteID') then (exists($lnodeevent/pkm:RecoverySiteID) or exists($lnodeevent/pkm:RecoverySiteLocalReferenceID)) else (exists($lnodeevent/*[local-name() eq $selemname])))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:flexiRequiredEventElemString" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sval" as="xs:string"/>
		<xsl:variable name="snameext" select="f:eventElemNameExt($leventelem,$selemname,$sval)"/>
		<xsl:variable name="snamebase" select="if ($selemname eq 'RecoveryPartyID') then ('Datenelement »RecoveryPartyID« bzw. »RecoveryPartyLocalReferenceID«') else (if ($selemname eq 'RecoverySiteID') then ('Datenelement »RecoverySiteID« bzw. »RecoverySiteLocalReferenceID«') else (concat('Datenelement »',$selemname,'«')))"/>
		<xsl:sequence select="if ($snameext ne '') then (concat($snameext,' (',$snamebase,')')) else (concat('das ',$snamebase))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:precedingSameTypeEvent" as="node()*">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:sequence select="$lnodeevent/preceding-sibling::pkm:Event[f:safeEQnullElem(.,$lnodeevent,'pkm:MaterialTypeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:SingleUsePlasticBottleTypeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:BeverageTypeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:BeverageVolumeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoveryTypeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoveryPartyID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoveryPartyLocalReferenceID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoverySiteID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoverySiteLocalReferenceID')]"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:precedingIdenticalParty" as="node()*">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:sequence select="$lnodeparty/preceding-sibling::pkm:Party[f:safeEQnullElem(.,$lnodeparty,'pkm:ID') and f:safeEQnullElem(.,$lnodeparty,'pkm:Name') and f:safeEQnullElem(.,$lnodeparty,'pkm:RegisteredOfficeAddressCountryID') and f:safeEQnullElem(.,$lnodeparty,'pkm:RegisteredOfficeAddressPostalAreaID') and f:safeEQnullElem(.,$lnodeparty,'pkm:RegisteredOfficeAddressCityName')]"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:precedingIdenticalSite" as="node()*">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:sequence select="$lnodesite/preceding-sibling::pkm:Site[f:safeEQnullElem(.,$lnodesite,'pkm:Name') and f:safeEQnullElem(.,$lnodesite,'pkm:AddressCountryID') and f:safeEQnullElem(.,$lnodesite,'pkm:AddressPostalAreaID') and f:safeEQnullElem(.,$lnodesite,'pkm:AddressCityName')]"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:msgBasicRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="concat('»',if (exists($l8686/sch:data/sch:row[sch:val0 eq $ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID])) then ($l8686/sch:data/sch:row[sch:val0 eq $ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID]/sch:val1) else ($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID),'«-Daten')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:msgPeriodRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if ($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID eq 'PLC_MKT.MNTH') then (concat('den Monat ',substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),6,2),'/',substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),1,4))) else (concat('das Jahr ', substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),1,4)))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:msgRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="concat(f:msgBasicRef($ncontext),' für ',f:msgPeriodRef($ncontext))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:valNodeName" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if (exists($ncontext/ancestor::pkm:MessageValidationContext/pkm:ValidationNodeName)) then concat('»',$ncontext/ancestor::pkm:MessageValidationContext/pkm:ValidationNodeName,'«') else '»edm.gv.at«'"/>
	</xsl:function>
	<xsl:param name="leventelem">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Masse</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Masse</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Masse</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">Count</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Anzahl</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Anzahl</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Anzahl</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">MaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Packstoff</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">den Packstoff</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">der Packstoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">BeverageTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkekategorie</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Getränkekategorie</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Getränkekategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">BeverageVolumeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkevolumen-Kategorie</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Getränkevolumen-Kategorie</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Getränkevolumen-Kategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">SingleUsePlasticBottleTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkeflaschen-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Getränkeflaschen-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Getränkeflaschen-Art</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RecoveryPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertungsunternehmen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">das Verwertungsunternehmen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">das Verwertungsunternehmen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RecoveryPartyLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertungsunternehmen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">das Verwertungsunternehmen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">das Verwertungsunternehmen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RecoverySiteID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertungsstandort</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">den Verwertungsstandort</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">der Verwertungsstandort</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RecoverySiteLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertungsstandort</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">den Verwertungsstandort</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">der Verwertungsstandort</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="l8686">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_BVG.YEAR</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Einweggetränkeverpackungen-Jahresbericht der zentralen Stelle gemäß §24 Abs. 1 PfandVO</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="l3974">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_BVG.YEAR.dPG.aPLC_MKT.tHH.cSTRCT20</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von Erstinverkehrsetzern in Österreich in Verkehr gesetzte bepfandete Einweggetränkeverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_BVG.YEAR.dPG.aSEP_CLT.tHH.cSTRCT20</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Zurückgenommene bepfandete Einweggetränkeverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von Erstinverkehrsetzern zum Recycling übergebene Massen an Verpackungsmaterialien aus im Rahmen des Vorkaufsrechts übernommenen Einweggetränkeverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Recyclierte Verpackungsmaterialien aus von Erstinverkehrsetzern im Rahmen des Vorkaufsrechts übernommenen und zum Recycling übergebenen Einweggetränkeverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von der zentralen Stelle zum Recycling übergebene Massen an Verpackungsmaterialien</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Recyclierte Verpackungsmaterialien aus von der zentralen Stelle zum Recycling übergebenen Einweggetränkeverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Masse des eingesetzten Recyclats bezogen auf die in Verkehr gesetzten Einweggetränkeverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="l8261">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT07</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">SingleUsePlasticBottleTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Art von Einwegkunststoff-Getränkeflasche</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT07</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse für eine Art von Einwegkunststoff-Getränkeflaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Packstoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Recyclers</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Recyclers</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Bezug auf Name und Adresse des Recyclers</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoverySiteID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Verwertungsstandorts</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoverySiteLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Bezug auf Name und Adresse des Verwertungsstandorts</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Verwertungsart</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse an Verpackungsmaterial</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT20</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Packstoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT20</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">SingleUsePlasticBottleTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Art von Einwegkunststoff-Getränkeflasche</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT20</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">BeverageTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Getränkekategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT20</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">BeverageVolumeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Getränkevolumen-Kategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT20</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse von Einweggetränkeverpackungen für den jeweiligen Packstoff, die jeweilige Getränkekategorie und die jeweilige Getränkevolumen-Kategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT20</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Count</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Anzahl von Einweggetränkeverpackungen für den jeweiligen Packstoff, die jeweilige Getränkekategorie und die jeweilige Getränkevolumen-Kategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT21</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Packstoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT21</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Recyclers</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT21</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Recyclers</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT21</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Bezug auf Name und Adresse des Recyclers</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT21</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoverySiteID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Verwertungsstandorts</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT21</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoverySiteLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Bezug auf Name und Adresse des Verwertungsstandorts</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT21</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse an Verpackungsmaterial</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="lcat">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101414</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Papier, Karton, Pappe und Wellpappe</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101421</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Glas</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101438</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Holz</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101445</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Keramik</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101452</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Metalle</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101469</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Textile Faserstoffe</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101476</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Kunststoffe</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101483</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verbundverpackungen, ausgenommen Getränkeverbundkarton</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101490</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Sonstige Packstoffe auf biologischer Basis</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101810</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkeverbundkarton</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106846</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Eisenmetalle</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106853</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Aluminium</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106860</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Leichtverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106877</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Folien, Umreifungsbänder und Klebebänder</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106884</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Hohlkörper</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106891</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">EPS (Aufgeschäumtes bzw. Expandiertes Polystyrol)</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106907</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Biogene Packstoffe</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124901</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Sehr leichte Kunststofftragetaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124918</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Kunststoffe Folien</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124925</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Kunststoffe Hohlkörper</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124932</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Sonstige Verpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124949</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebecher</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124956</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Lebensmittelverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124963</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Säckchen und Folienverpackungen (Wrappers) aus flexiblem Material</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124970</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebehälter - PET-Getränkeflaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124987</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebehälter - Sonstige Getränkeflaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124994</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebehälter - Sonstige Getränkebehälter</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125007</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Feuchttücher</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125014</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Luftballons</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125021</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Tabakprodukte</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125038</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Fanggeräte</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125137</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebecher - vollständig aus Kunststoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125144</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebecher - teilweise aus Kunststoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125151</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Lebensmittelverpackungen - vollständig aus Kunststoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125168</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Lebensmittelverpackungen - teilweise aus Kunststoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132531</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Bier</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132548</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Wässer</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132555</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Saft</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132562</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Alkoholfreie Erfrischungsgetränke</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132586</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Wein</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132593</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Sekt und Spirituosen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132609</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">bis inkl. 0,25 l</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132616</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">über 0,25 l bis inkl. 0,33 l</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132623</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">über 0,33 l bis inkl. 0,5 l</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132630</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">über	0,5 l bis inkl. 0,75 l</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132647</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">über 0,75 l bis inkl. 1 l</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132654</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">über 1 l bis inkl. 1,5 l</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132661</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">über 1,5 l</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="l4399">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125052</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Thermische Verwertung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125045</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Recycling</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125069</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Sonstige Verwertung</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:template match="/">
		<xsl:variable name="metadata" as="element()?">
			<svrl:metadata xmlns:dct="http://purl.org/dc/terms/" xmlns:skos="http://www.w3.org/2004/02/skos/core#" xmlns:svrl="http://purl.oclc.org/dsdl/svrl">
				<dct:created>
					<xsl:value-of select="current-dateTime()"/>
				</dct:created>
				<dct:source>
					<rdf:Description xmlns:dc="http://purl.org/dc/elements/1.1/">
						<dct:created>2025-01-27T18:00:47.3023744+01:00</dct:created>
					</rdf:Description>
				</dct:source>
			</svrl:metadata>
		</xsl:variable>
		<xsl:variable name="report" as="element(schxslt:report)">
			<schxslt:report>
				<xsl:call-template name="d20e1496"/>
			</schxslt:report>
		</xsl:variable>
		<xsl:variable name="schxslt:report" as="node()*">
			<xsl:for-each select="$report/schxslt:pattern">
				<xsl:sequence select="$report/schxslt:rule[@pattern = current()/@id]/node()[(local-name() eq 'successful-report') or (local-name() eq 'failed-assert')]"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:variable name="schxslt:report_fin" as="node()*">
			<xsl:for-each-group xmlns:svrl="http://purl.oclc.org/dsdl/svrl" select="$schxslt:report" group-by="concat(local-name(), '|', string(svrl:text), '|', string-join(@*[(local-name() ne 'test') and (local-name() ne 'location')],'|'), '|', string-join(svrl:property-reference/svrl:text,'|'))">
				<xsl:copy-of select="."/>
			</xsl:for-each-group>
		</xsl:variable>
		<svrl:schematron-output xmlns:svrl="http://purl.oclc.org/dsdl/svrl">
			<svrl:ns-prefix-in-attribute-values prefix="pkm" uri="http://www.umweltbundesamt.at/schema/pack_deposit_refund_message"/>
			<svrl:ns-prefix-in-attribute-values prefix="f" uri="http://f.net/"/>
			<svrl:ns-prefix-in-attribute-values prefix="xsi" uri="http://www.w3.org/2001/XMLSchema-instance"/>
			<svrl:active-pattern/>
			<xsl:sequence select="$schxslt:report_fin"/>
		</svrl:schematron-output>
	</xsl:template>
	<xsl:template match="text() | @*" mode="#all" priority="-10"/>
	<xsl:template match="*" mode="#all" priority="-10">
		<xsl:apply-templates mode="#current" select="@*"/>
		<xsl:apply-templates mode="#current" select="node()"/>
	</xsl:template>
	<xsl:template name="d20e1496">
		<schxslt:pattern id="d20e1496"/>
		<schxslt:pattern id="d20e1511"/>
		<schxslt:pattern id="d20e1526"/>
		<schxslt:pattern id="d20e1542"/>
		<schxslt:pattern id="d20e1557"/>
		<schxslt:pattern id="d20e1580"/>
		<schxslt:pattern id="d20e1591"/>
		<schxslt:pattern id="d20e1602"/>
		<schxslt:pattern id="d20e1613"/>
		<schxslt:pattern id="d20e1625"/>
		<schxslt:pattern id="d20e1636"/>
		<schxslt:pattern id="d20e1647"/>
		<schxslt:pattern id="d20e1658"/>
		<schxslt:pattern id="d20e1669"/>
		<schxslt:pattern id="d20e1680"/>
		<schxslt:pattern id="d20e1704"/>
		<schxslt:pattern id="d20e1751"/>
		<schxslt:pattern id="d20e1770"/>
		<schxslt:pattern id="d20e1795"/>
		<schxslt:pattern id="d20e1806"/>
		<schxslt:pattern id="d20e1824"/>
		<schxslt:pattern id="d20e1840"/>
		<schxslt:pattern id="d20e1862"/>
		<schxslt:pattern id="d20e1877"/>
		<schxslt:pattern id="d20e1892"/>
		<schxslt:pattern id="d20e1907"/>
		<schxslt:pattern id="d20e1922"/>
		<schxslt:pattern id="d20e1938"/>
		<schxslt:pattern id="d20e1953"/>
		<schxslt:pattern id="d20e1968"/>
		<schxslt:pattern id="d20e1983"/>
		<schxslt:pattern id="d20e1998"/>
		<schxslt:pattern id="d20e2013"/>
		<schxslt:pattern id="d20e2029"/>
		<schxslt:pattern id="d20e2044"/>
		<schxslt:pattern id="d20e2059"/>
		<schxslt:pattern id="d20e2074"/>
		<schxslt:pattern id="d20e2089"/>
		<schxslt:pattern id="d20e2111"/>
		<schxslt:pattern id="d20e2160"/>
		<schxslt:pattern id="d20e2173"/>
		<schxslt:pattern id="d20e2182"/>
		<schxslt:pattern id="d20e2199"/>
		<schxslt:pattern id="d20e2225"/>
		<schxslt:pattern id="d20e2234"/>
		<schxslt:pattern id="d20e2250"/>
		<schxslt:pattern id="d20e2271"/>
		<schxslt:pattern id="d20e2292"/>
		<schxslt:pattern id="d20e2309"/>
		<schxslt:pattern id="d20e2320"/>
		<schxslt:pattern id="d20e2335"/>
		<schxslt:pattern id="d20e2351"/>
		<xsl:apply-templates mode="d20e1496" select="/"/>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Site[not(exists(pkm:Name))]" priority="51" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1496">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1496']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C129 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Site[not(exists(pkm:Name))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R129">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsstandorten mit Name und Adresse den Standort mit den folgenden Angaben: <xsl:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <xsl:value-of select="'die Bezeichnung des Standorts'"/> (Datenelement »<xsl:value-of select="'Name'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1496')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Site[not(exists(pkm:AddressCountryID))]" priority="50" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1511">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1511']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C129 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Site[not(exists(pkm:AddressCountryID))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R129">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsstandorten mit Name und Adresse den Standort mit den folgenden Angaben: <xsl:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <xsl:value-of select="'die Identifikation des Landes, in welchem sich der Standort befindet'"/> (Datenelement »<xsl:value-of select="'AddressCountryID'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1511')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Site[not(exists(pkm:AddressPostalAreaID))]" priority="49" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1526">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1526']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C129 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Site[not(exists(pkm:AddressPostalAreaID))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R129">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsstandorten mit Name und Adresse den Standort mit den folgenden Angaben: <xsl:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <xsl:value-of select="'die Postleitzahl des Standorts'"/> (Datenelement »<xsl:value-of select="'AddressPostalAreaID'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1526')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Site[not(exists(pkm:AddressCityName))]" priority="48" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1542">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1542']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C129 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Site[not(exists(pkm:AddressCityName))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R129">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsstandorten mit Name und Adresse den Standort mit den folgenden Angaben: <xsl:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <xsl:value-of select="'die Bezeichnung des Orts, z.B. Stadt, an dem sich der Standort befindet'"/> (Datenelement »<xsl:value-of select="'AddressCityName'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1542')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Site" priority="47" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1557">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1557']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C123m for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Site" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID[. eq current()/pkm:LocalAssignmentID/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R495">
							<xsl:attribute name="test">not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID[. eq current()/pkm:LocalAssignmentID/text()]))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält Name und Adresse des Standorts <xsl:value-of select="f:resolveLocalSiteRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/>. Die Übermittlung enthält jedoch an keiner Stelle einen Bezug auf diesen Standort. Das Datenformat unterstützt die Angabe von Name und Adresse eines Standorts nur dann, wenn die Dateninstanz einen oder mehrere Bezüge auf diesen Standort enthält, z.B. als Recyclingstandort, an den Getränkeverpackungsmaterialien übergeben wurden.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="pkm:AddressCountryID eq '040'">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R123">
							<xsl:attribute name="test">pkm:AddressCountryID eq '040'</xsl:attribute>
							<svrl:text>Die Übermittlung enthält Name und Adresse des Verwertungsstandorts <xsl:value-of select="f:resolveLocalSiteRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/>. Die Standortadresse liegt in Österreich. In Österreich gelegene Verwertungsstandorte sollen nach Möglichkeit in Übermittlungen nicht per Name und Adresse benannt werden, sondern mittels der in edm.gv.at zum Standort eingetragenen GLN.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="count(f:precedingIdenticalSite(current())) eq 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R582">
							<xsl:attribute name="test">count(f:precedingIdenticalSite(current())) eq 1</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsstandorten mit Name und Adresse denselben Standort <xsl:value-of select="f:resolveLocalSiteRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/> mehrfach. Das Datenformat unterstützt nur solche Auflistungen, in welchen jeder Standort nicht öfter als 1 Mal auftritt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1557')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[exists(pkm:Event) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq false())]" priority="46" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1580">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1580']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C162 for context "pkm:ReportUserMessage/pkm:MessagePart[exists(pkm:Event) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq false())]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R162">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in jenem Message-Teil, der sich auf Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, die Kennzeichung, dass in Bezug auf die Inhaltsart im Berichtszeitraum keine zu berichtenden Tätigkeiten ausgeübt wurden (»ReportingObligationActivityIndicator« auf Wert »false«), der Message-Teil enthält jedoch dennoch Angaben zu Tätigkeiten, z.B. Massen je Untergliederung. Es muss eine Übereinstimmung zwischen (a) der Information, ob zu berichtende Tätigkeiten ausgeübt wurden, und (b) dem Vorhandensein btw. Nicht-Vorhandensein von Masse-/Anzahl-Angaben bestehen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1580')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[not(exists(pkm:Event)) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq true())]" priority="45" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1591">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1591']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C953 for context "pkm:ReportUserMessage/pkm:MessagePart[not(exists(pkm:Event)) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq true())]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R953">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in jenem Message-Teil, der sich auf Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, die Kennzeichung, dass in Bezug auf die Inhaltsart im Berichtszeitraum zu berichtende Tätigkeiten ausgeübt wurden (»ReportingObligationActivityIndicator« auf Wert »true«), es fehlen aber Angaben zu diesen Tätigkeiten, z.B. Massen je Untergliederung. Es muss eine Übereinstimmung zwischen (a) der Information, ob zu berichtende Tätigkeiten ausgeübt wurden, und (b) dem Vorhandensein btw. Nicht-Vorhandensein von Masse-/Anzahl-Angaben bestehen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1591')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aPLC_MKT.tHH.cSTRCT20', 1, 12)]" priority="44" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1602">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1602']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aPLC_MKT.tHH.cSTRCT20', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aPLC_MKT.tHH.cSTRCT20']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188">
							<xsl:attribute name="test">(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aPLC_MKT.tHH.cSTRCT20']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlen Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aPLC_MKT.tHH.cSTRCT20')"/>. Das Datenformat erfordert solche Inhalte. Wenn im Berichtszeitraum keine der Inhaltsart entsprechenden Tätigkeiten ausgeübt wurden, dann muss die Message dennoch einen Message-Teil der betreffenden Inhaltsart enthalten, in diesem Fall mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1602')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aSEP_CLT.tHH.cSTRCT20', 1, 12)]" priority="43" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1613">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1613']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aSEP_CLT.tHH.cSTRCT20', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aSEP_CLT.tHH.cSTRCT20']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188">
							<xsl:attribute name="test">(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aSEP_CLT.tHH.cSTRCT20']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlen Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aSEP_CLT.tHH.cSTRCT20')"/>. Das Datenformat erfordert solche Inhalte. Wenn im Berichtszeitraum keine der Inhaltsart entsprechenden Tätigkeiten ausgeübt wurden, dann muss die Message dennoch einen Message-Teil der betreffenden Inhaltsart enthalten, in diesem Fall mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1613')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21', 1, 12)]" priority="42" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1625">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1625']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188">
							<xsl:attribute name="test">(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlen Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21')"/>. Das Datenformat erfordert solche Inhalte. Wenn im Berichtszeitraum keine der Inhaltsart entsprechenden Tätigkeiten ausgeübt wurden, dann muss die Message dennoch einen Message-Teil der betreffenden Inhaltsart enthalten, in diesem Fall mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1625')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14', 1, 12)]" priority="41" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1636">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1636']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188">
							<xsl:attribute name="test">(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlen Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14')"/>. Das Datenformat erfordert solche Inhalte. Wenn im Berichtszeitraum keine der Inhaltsart entsprechenden Tätigkeiten ausgeübt wurden, dann muss die Message dennoch einen Message-Teil der betreffenden Inhaltsart enthalten, in diesem Fall mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1636')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21', 1, 12)]" priority="40" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1647">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1647']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188">
							<xsl:attribute name="test">(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlen Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21')"/>. Das Datenformat erfordert solche Inhalte. Wenn im Berichtszeitraum keine der Inhaltsart entsprechenden Tätigkeiten ausgeübt wurden, dann muss die Message dennoch einen Message-Teil der betreffenden Inhaltsart enthalten, in diesem Fall mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1647')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14', 1, 12)]" priority="39" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1658">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1658']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188">
							<xsl:attribute name="test">(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlen Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14')"/>. Das Datenformat erfordert solche Inhalte. Wenn im Berichtszeitraum keine der Inhaltsart entsprechenden Tätigkeiten ausgeübt wurden, dann muss die Message dennoch einen Message-Teil der betreffenden Inhaltsart enthalten, in diesem Fall mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1658')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07', 1, 12)]" priority="38" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1669">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1669']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188">
							<xsl:attribute name="test">(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlen Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07')"/>. Das Datenformat erfordert solche Inhalte. Wenn im Berichtszeitraum keine der Inhaltsart entsprechenden Tätigkeiten ausgeübt wurden, dann muss die Message dennoch einen Message-Teil der betreffenden Inhaltsart enthalten, in diesem Fall mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1669')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Party" priority="37" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1680">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1680']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C202m for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Party" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID[. eq current()/pkm:LocalAssignmentID/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R372">
							<xsl:attribute name="test">not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID[. eq current()/pkm:LocalAssignmentID/text()]))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält Name und Adresse des Unternehmens <xsl:value-of select="f:resolveLocalPartyRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/>. Die Übermittlung enthält jedoch an keiner Stelle einen Bezug auf dieses Unternehmen. Das Datenformat unterstützt die Angabe von Name und Adresse eines Unternehmens nur dann, wenn die Dateninstanz einen oder mehrere Bezüge auf dieses Unternehmen enthält, z.B. als Recyclingunternehmen, an das Getränkeverpackungsmaterialien übergeben wurden.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="pkm:RegisteredOfficeAddressCountryID eq '040'">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R202">
							<xsl:attribute name="test">pkm:RegisteredOfficeAddressCountryID eq '040'</xsl:attribute>
							<svrl:text>Die Übermittlung enthält Name und Adresse des Verwertungsunternehmens <xsl:value-of select="f:resolveLocalPartyRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/>. Die Sitzadresse liegt in Österreich. Verwertungsunternehmen mit Sitz in Österreich sollen nach Möglichkeit in Übermittlungen nicht per Name und Adresse benannt werden, sondern mittels der in edm.gv.at zum Unternehmen eingetragenen GLN.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="count(f:precedingIdenticalParty(current())) eq 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R392">
							<xsl:attribute name="test">count(f:precedingIdenticalParty(current())) eq 1</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsunternehmen mit Name und Adresse dasselbe Unternehmen <xsl:value-of select="f:resolveLocalPartyRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/> mehrfach. Das Datenformat unterstützt nur solche Auflistungen, in welchen jedes Unternehmen nicht öfter als 1 Mal auftritt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1680')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodEndDate" priority="36" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1704">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1704']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C248 for context "pkm:ReportUserMessage/pkm:ReportPeriodEndDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') ne format-date(xs:date(.), '[Y]'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R248">
							<xsl:attribute name="test">(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') ne format-date(xs:date(.), '[Y]'))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält das Berichtszeitraum-Beginndatum »<xsl:value-of select="format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]-[M,2]-[D,2]')"/>« und das Berichtszeitraum-Enddatum »<xsl:value-of select="format-date(xs:date(.), '[Y]-[M,2]-[D,2]')"/>«. Das Datenformat unterstützt nur solche Berichtszeiträume, bei welchen Beginndatum und Enddatum innerhalb desselben Kalenderjahres liegen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="ends-with(current()/../pkm:MessageTypeID, 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-12-31'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R704">
							<xsl:attribute name="test">ends-with(current()/../pkm:MessageTypeID, 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-12-31'))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält das Berichtszeitraum-Enddatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Das Datenformat unterstützt nur den 31. Dezember eines Jahres, z.B. »<xsl:value-of select="format-date(xs:date(current()), '[Y]-12-31')"/>«, als Berichtszeitraum-Enddatum.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H'))) and not(xs:date(../pkm:ReportPeriodStartDate) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R684">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H'))) and not(xs:date(../pkm:ReportPeriodStartDate) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))</xsl:attribute>
							<svrl:text>Die Übermittlung erfolgt zum Datum »<xsl:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')), '[Y]-[M,2]-[D,2]')"/>« und enthält das Berichtszeitraum-Enddatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«, d.h. die Übermittlung erfolgt vor Ablauf des Berichtsjahres. Die Übermittlung soll üblicherweise erst nach Ablauf des Berichtsjahres erfolgen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) ge xs:date(format-date(xs:date(current())+xs:yearMonthDuration('P1Y'),'[Y]-04-11'))) and (f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) le xs:date(format-date(xs:date(current())+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R272">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) ge xs:date(format-date(xs:date(current())+xs:yearMonthDuration('P1Y'),'[Y]-04-11'))) and (f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) le xs:date(format-date(xs:date(current())+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))</xsl:attribute>
							<svrl:text>Die Übermittlung erfolgt am <xsl:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')),'[D,2].[M,2].[Y]')"/>. Für das Berichtsjahr <xsl:value-of select="year-from-date(xs:date(current()))"/> hätte die Übermittlung jedoch bis spätestens zum 10. April <xsl:value-of select="year-from-date(xs:date(current()))+1"/> erfolgen sollen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) gt xs:date(format-date(xs:date(current())+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R636">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) gt xs:date(format-date(xs:date(current())+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))</xsl:attribute>
							<svrl:text>Die Übermittlung erfolgt am <xsl:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')),'[D,2].[M,2].[Y]')"/>. Für das Berichtsjahr <xsl:value-of select="year-from-date(xs:date(current()))"/> hätte die Übermittlung jedoch bis spätestens zum 10. April <xsl:value-of select="year-from-date(xs:date(current()))+1"/> erfolgen sollen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1704')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="35" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="n_preceding_event" select="f:precedingSameTypeEvent(current())"/>
		<schxslt:rule pattern="d20e1751">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1751']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C273m for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count($n_preceding_event) eq 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R273">
							<xsl:attribute name="test">count($n_preceding_event) eq 1</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zwei oder mehr Angaben zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' und den folgenden Gruppierungskriterien: ',f:describeEvent(.,'','.MassValue.Count.',$lcat,$l4399))"/>.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Das erste Auftreten enthält die folgenden Angaben: ',f:describeEvent($n_preceding_event[1],'.MassValue.Count.','',$lcat,$l4399),'.')"/>
								<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Das zweite Auftreten enthält die folgenden Angaben: ',f:describeEvent(current(),'.MassValue.Count.','',$lcat,$l4399),'.')"/> Das Datenformat unterstützt je Message-Teil höchstens eine Massen- bzw. Anzahl-Angabe je Gruppierung.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1751')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodStartDate" priority="34" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1770">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1770']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C298m for context "pkm:ReportUserMessage/pkm:ReportPeriodStartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="ends-with(current()/../pkm:MessageTypeID, 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-01-01'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R298">
							<xsl:attribute name="test">ends-with(current()/../pkm:MessageTypeID, 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-01-01'))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält das Berichtszeitraum-Beginndatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Das Datenformat unterstützt nur den 1. Jänner eines Jahres, z.B. »<xsl:value-of select="format-date(xs:date(current()), '[Y]-01-01')"/>«, als Berichtszeitraum-Beginndatum.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="year-from-date(xs:date(current())) lt 2025">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R334">
							<xsl:attribute name="test">year-from-date(xs:date(current())) lt 2025</xsl:attribute>
							<svrl:text>Die Übermittlung enthält das Berichtszeitraum-Beginndatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Das Webservice unterstützt Übermittlungen nur für Berichtsjahre ab 2025.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R879">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))</xsl:attribute>
							<svrl:text>Die Übermittlung erfolgt zum Datum »<xsl:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')), '[Y]-[M,2]-[D,2]')"/>« und enthält das Berichtszeitraum-Beginndatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«, d.h. die Übermittlung erfolgt vor Beginn des Berichtsjahres. Das Webservice unterstützt Übermittlungen für ein Berichtsjahr erst nach Anbruch dieses Jahres.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1770')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/*/pkm:LocalAssignmentID" priority="33" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1795">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1795']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C337 for context "pkm:ReportUserMessage/pkm:ListedData/*/pkm:LocalAssignmentID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(../preceding-sibling::*[pkm:LocalAssignmentID eq current()/text()]) eq 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R337">
							<xsl:attribute name="test">count(../preceding-sibling::*[pkm:LocalAssignmentID eq current()/text()]) eq 1</xsl:attribute>
							<svrl:text>Die Übermittlung enthält den Wert »<xsl:value-of select="current()/text()"/>« mehrfach als Übermittlungs-internen Bezug auf Name und Adresse von Verwertungsunternehmen bzw. Verwertungsstandorten. In der Auflistung der Namen und Adressen von Verwertungsunternehmen und Verwertungsstandorten darf jeder als Übermittlungs-interner Bezug zugeordnete Wert nicht öfter als 1 Mal auftreten.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1795')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart" priority="32" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1806">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1806']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C344 for context "pkm:ReportUserMessage/pkm:MessagePart" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(./preceding-sibling::pkm:MessagePart[pkm:ContentTypeID eq current()/pkm:ContentTypeID]) eq 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R344">
							<xsl:attribute name="test">count(./preceding-sibling::pkm:MessagePart[pkm:ContentTypeID eq current()/pkm:ContentTypeID]) eq 1</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zwei oder mehr Message-Teile mit Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/>. Das Datenformat unterstützt je Inhaltsart höchstens einen Message-Teil.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="(f:safeStringValue(pkm:ContentTypeID) eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07') and (year-from-date(xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate)) ge 2028) and not(exists(pkm:Event[(f:safeStringValue(pkm:SingleUsePlasticBottleTypeID) eq '9008390124987')]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R853">
							<xsl:attribute name="test">(f:safeStringValue(pkm:ContentTypeID) eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07') and (year-from-date(xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate)) ge 2028) and not(exists(pkm:Event[(f:safeStringValue(pkm:SingleUsePlasticBottleTypeID) eq '9008390124987')]))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> keine Angaben zu sonstigen Kunststoff-Getränkeflaschen ausgenommen PET-Flaschen für das Berichtsjahr <xsl:value-of select="format-date(xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate), '[Y]')"/>. Gemäß § 24 Abs. 1 Z 5 Pfandverordnung für Einweggetränkeverpackungen erwartet die Behörde diese Angaben ab dem Berichtsjahr 2028.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1806')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:MassValue[xs:decimal(.) lt 0.0]" priority="31" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1824">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1824']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C408 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:MassValue[xs:decimal(.) lt 0.0]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R408">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>. Das Datenformat unterstützt nur nicht-negative Massen-Angaben.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der negativen Masse zusammenhängende Angaben: ',f:describeEvent(..,'','.MassValue.',$lcat,$l4399),'.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1824')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Party/pkm:ID" priority="30" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1840">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1840']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C464 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Party/pkm:ID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(@registerID) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R464">
							<xsl:attribute name="test">exists(@registerID) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu dem mit Name und Adresse aufgelisteten Verwertungsunternehmen <xsl:value-of select="f:resolveLocalPartyRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, ../pkm:LocalAssignmentID)"/> die ID »<xsl:value-of select="current()/text()"/>« in Kombination mit ID-Art »<xsl:value-of select="current()/@registerID"/>«. Das Datenformat unterstützt diese ID-Art nicht. Das Datenformat unterstützt hier genau die in edm.gv.at Codeliste 7411 definierten Unternehmens-ID-Arten.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="exists(@registerID) and (count(f:precedingIdenticalParty(..)) eq 0) and (count(../preceding-sibling::pkm:Party[f:safeEQnull(pkm:ID,current()) and (exists(pkm:ID/@registerID)) and (pkm:ID/@registerID eq current()/@registerID)]) eq 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R771">
							<xsl:attribute name="test">exists(@registerID) and (count(f:precedingIdenticalParty(..)) eq 0) and (count(../preceding-sibling::pkm:Party[f:safeEQnull(pkm:ID,current()) and (exists(pkm:ID/@registerID)) and (pkm:ID/@registerID eq current()/@registerID)]) eq 1)</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsunternehmen mit Name und Adresse dieselbe Unternehmens-ID »<xsl:value-of select="current()/text()"/>« mehrfach, also in den Angaben zu mehreren Unternehmen. Das Datenformat unterstützt nur solche Auflistungen, in welchen jede Unternehmens-ID nicht öfter als 1 Mal auftritt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1840')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Party[not(exists(pkm:Name))]" priority="29" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1862">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1862']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C467 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Party[not(exists(pkm:Name))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R467">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsunternehmen mit Name und Adresse das Unternehmen mit den folgenden Angaben: <xsl:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <xsl:value-of select="'die Bezeichnung des Unternehmens'"/> (Datenelement »<xsl:value-of select="'Name'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1862')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressCountryID))]" priority="28" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1877">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1877']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C467 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressCountryID))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R467">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsunternehmen mit Name und Adresse das Unternehmen mit den folgenden Angaben: <xsl:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <xsl:value-of select="'die Identifikation des Landes, in dem das Unternehmen seinen Sitz hat'"/> (Datenelement »<xsl:value-of select="'RegisteredOfficeAddressCountryID'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1877')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressPostalAreaID))]" priority="27" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1892">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1892']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C467 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressPostalAreaID))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R467">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsunternehmen mit Name und Adresse das Unternehmen mit den folgenden Angaben: <xsl:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <xsl:value-of select="'die Postleitzahl vom Sitz des Unternehmens'"/> (Datenelement »<xsl:value-of select="'RegisteredOfficeAddressPostalAreaID'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1892')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressCityName))]" priority="26" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1907">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1907']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C467 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressCityName))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R467">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in der Auflistung von Verwertungsunternehmen mit Name und Adresse das Unternehmen mit den folgenden Angaben: <xsl:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <xsl:value-of select="'die Bezeichnung des Orts, z.B. Stadt, an dem das Unternehmen seinen Sitz hat'"/> (Datenelement »<xsl:value-of select="'RegisteredOfficeAddressCityName'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1907')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:Count[xs:decimal(.) eq 0]" priority="25" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1922">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1922']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C507 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:Count[xs:decimal(.) eq 0]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R507">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemCount(..,'','',true())"/>. Das Datenformat unterstützt die Anzahl 0 nicht. Gruppierungen, z.B. Packstoffe, für die im Berichtszeitraum keine entsprechenden Tätigkeiten ausgeübt wurden, sind nicht mit Anzahl 0 zu übermitteln, sondern aus der Übermittlung wegzulassen.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Anzahl 0 zusammenhängende Angaben: ',f:describeEvent(..,'','.Count.',$lcat,$l4399),'.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1922')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID" priority="24" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1938">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1938']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C525 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R525">
							<xsl:attribute name="test">not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq current()/text()]))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> als Übermittlungs-internen Bezug auf Name und Adresse des Verwerters den Wert »<xsl:value-of select="current()/text()"/>«. Dieser Wert verweist innerhalb der übermittelten Daten nicht auf Name und Adresse eines Unternehmens.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit dem Verwerter-Bezug zusammenhängende Angaben: ',f:describeEvent(..,'','.RecoveryPartyLocalReferenceID.',$lcat,$l4399),'.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1938')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="23" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1953">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1953']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'MassValue')) and f:isRequiredEventElem(current(),'MassValue',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'MassValue')) and f:isRequiredEventElem(current(),'MassValue',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlt zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'MassValue','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1953')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="22" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1968">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1968']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'Count')) and f:isRequiredEventElem(current(),'Count',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'Count')) and f:isRequiredEventElem(current(),'Count',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlt zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'Count','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1968')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="21" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1983">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1983']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'MaterialTypeID')) and f:isRequiredEventElem(current(),'MaterialTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'MaterialTypeID')) and f:isRequiredEventElem(current(),'MaterialTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlt zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'MaterialTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1983')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="20" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e1998">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e1998']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'SingleUsePlasticBottleTypeID')) and f:isRequiredEventElem(current(),'SingleUsePlasticBottleTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'SingleUsePlasticBottleTypeID')) and f:isRequiredEventElem(current(),'SingleUsePlasticBottleTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlt zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'SingleUsePlasticBottleTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e1998')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="19" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2013">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2013']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'BeverageTypeID')) and f:isRequiredEventElem(current(),'BeverageTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'BeverageTypeID')) and f:isRequiredEventElem(current(),'BeverageTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlt zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'BeverageTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2013')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="18" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2029">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2029']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'BeverageVolumeID')) and f:isRequiredEventElem(current(),'BeverageVolumeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'BeverageVolumeID')) and f:isRequiredEventElem(current(),'BeverageVolumeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlt zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'BeverageVolumeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2029')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="17" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2044">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2044']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'RecoveryTypeID')) and f:isRequiredEventElem(current(),'RecoveryTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'RecoveryTypeID')) and f:isRequiredEventElem(current(),'RecoveryTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlt zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'RecoveryTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2044')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="16" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2059">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2059']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'RecoveryPartyID')) and f:isRequiredEventElem(current(),'RecoveryPartyID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'RecoveryPartyID')) and f:isRequiredEventElem(current(),'RecoveryPartyID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlt zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'RecoveryPartyID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2059')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="15" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2074">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2074']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'RecoverySiteID')) and f:isRequiredEventElem(current(),'RecoverySiteID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'RecoverySiteID')) and f:isRequiredEventElem(current(),'RecoverySiteID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung fehlt zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'RecoverySiteID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2074')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ListedData/pkm:Party/pkm:RegisteredOfficeAddressCountryID | pkm:ListedData/pkm:Site/pkm:AddressCountryID" priority="14" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2089">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2089']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C683 for context "pkm:ListedData/pkm:Party/pkm:RegisteredOfficeAddressCountryID | pkm:ListedData/pkm:Site/pkm:AddressCountryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R683">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält <xsl:value-of select="if (local-name(..) eq 'Site') then (concat('in den Adressangaben zum Verwertungsstandort »',f:safeStringValue(../pkm:Name),'«')) else (concat('in den Sitzadress-Angaben zum Verwertungsunternehmen »',f:safeStringValue(../pkm:Name),'«'))"/> den Wert »<xsl:value-of select="current()/text()"/>« als Identifikation eines Landes (Nationalstaats). Das Datenformat unterstützt diesen Wert nicht. Das Datenformat unterstützt hier die Identifikation von Einträgen aus edm.gv.at Codeliste 3862 per 3-Ziffern-ID, z.B. »040« für Österreich. Die edm.gv.at Codeliste 3862 gibt die ISO 3166-1 Liste von Ländern wieder.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) and (xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) lt xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R491">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) and (xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) lt xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält <xsl:value-of select="if (local-name(..) eq 'Site') then (concat('in den Adressangaben zum Verwertungsstandort »',f:safeStringValue(../pkm:Name),'«')) else (concat('in den Sitzadress-Angaben zum Verwertungsunternehmen »',f:safeStringValue(../pkm:Name),'«'))"/> die Identifikation des Landes (Nationalstaats) <xsl:value-of select="f:resolveCountryIDString(/pkm:MessageValidationContext,current()/text())"/>. Gemäß edm.gv.at Codeliste 3862 gibt es dieses Land seit <xsl:value-of select="format-date(xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate), '[D,2].[M,2].[Y]')"/> nicht mehr, d.h. das Land hat im Berichtsjahr nicht mehr existiert.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2089')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" priority="13" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="val_node_ind_data_party_node" select="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]"/>
		<schxslt:rule pattern="d20e2111">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2111']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C685 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and (count($val_node_ind_data_party_node) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R685">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and (count($val_node_ind_data_party_node) eq 0)</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. In edm.gv.at ist mit dieser ID (GLN) kein Unternehmens-Eintrag auffindbar.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Unternehmens-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399), '.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="(count($val_node_ind_data_party_node) eq 1) and exists($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator) and (xs:boolean($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator[1]) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R699">
							<xsl:attribute name="test">(count($val_node_ind_data_party_node) eq 1) and exists($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator) and (xs:boolean($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator[1]) eq false())</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Gemäß Eintrag in edm.gv.at war das Unternehmen im Berichtsjahr nicht als Abfallverwerter tätig.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Unternehmens-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399), '.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="(count($val_node_ind_data_party_node) eq 1) and exists($val_node_ind_data_party_node/pkm:BusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod,'StartDate','EndDate')">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R496">
							<xsl:attribute name="test">(count($val_node_ind_data_party_node) eq 1) and exists($val_node_ind_data_party_node/pkm:BusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod,'StartDate','EndDate')</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsunternehmens <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Gemäß Eintrag in edm.gv.at war das Unternehmen im Berichtsjahr stillgelegt<xsl:value-of select="concat(', und zwar von  ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:StartDate), '[Y]-[M,2]-[D,2]'),(if (exists($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:EndDate)) then (concat(' bis ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:EndDate), '[Y]-[M,2]-[D,2]'))) else ('')))"/>.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Unternehmens-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399), '.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="(count($val_node_ind_data_party_node) eq 1) and exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod,'StartDate','EndDate')">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R942">
							<xsl:attribute name="test">(count($val_node_ind_data_party_node) eq 1) and exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod,'StartDate','EndDate')</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsunternehmens <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Gemäß Eintrag in edm.gv.at war das Unternehmen im Berichtsjahr ruhendgestellt<xsl:value-of select="concat(', und zwar von  ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:StartDate), '[Y]-[M,2]-[D,2]'),(if (exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:EndDate)) then (concat(' bis ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:EndDate), '[Y]-[M,2]-[D,2]'))) else ('')))"/>.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Unternehmens-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399), '.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2111')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessageCreationUTCTimestamp" priority="12" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2160">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2160']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C737 for context "pkm:ReportUserMessage/pkm:MessageCreationUTCTimestamp" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) gt (xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp)+xs:dayTimeDuration('PT5M')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R737">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) gt (xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp)+xs:dayTimeDuration('PT5M')))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält den Message-Erstellungszeitpunkt »<xsl:value-of select="."/>« und erfolgt zum Zeitpunkt »<xsl:value-of select="/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp"/>«, d.h. der Message-Erstellungszeitpunkt liegt in der Zukunft. Das Webservice unterstützt die Übermittlung von Messages mit in der Zukunft liegendem Erstellungsdatum NICHT.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2160')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData[not(exists(*))]" priority="11" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2173">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2173']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C752 for context "pkm:ReportUserMessage/pkm:ListedData[not(exists(*))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R752">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält ein Gruppierungselement für Angaben von Namen und Adressen von Recyclingunternehmen und/oder Recyclingstandorten, »ListedData«, welches leer ist, d.h. keine XML-Unterelemente enthält. Das Datenformat unterstützt das Gruppierungselement »ListedData« nur bei Vorhandensein von einem oder mehreren XML-Unterelementen, d.h. nur bei Vorhandensein von zumindest einer Namens- und Adress-Angabe zu einem Recyclingunternehmen und/oder einem Recyclingstandort.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2173')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessageCreationPartyID | pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" priority="10" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2182">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2182']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C755 for context "pkm:ReportUserMessage/pkm:MessageCreationPartyID | pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(@registerID) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R755">
							<xsl:attribute name="test">exists(@registerID) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält die Angabe <xsl:value-of select="if (local-name(current()) eq 'MessageCreationPartyID') then ('des Übermittlungs-Erstellers') else ('eines Verwertungsunternehmens')"/>  mit der ID »<xsl:value-of select="current()/text()"/>« und der ID-Art »<xsl:value-of select="current()/@registerID"/>«. Das Datenformat unterstützt diese ID-Art nicht. Das Datenformat unterstützt hier genau die in edm.gv.at Codeliste 7836 definierten Unternehmens-ID-Arten.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2182')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteID" priority="9" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="val_node_ind_data_site_node" select="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[pkm:SiteEDMGLNID eq current()/text()]"/>
		<schxslt:rule pattern="d20e2199">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2199']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C815 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and (count($val_node_ind_data_site_node) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R815">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and (count($val_node_ind_data_site_node) eq 0)</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsstandorts <xsl:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>. In edm.gv.at ist mit dieser ID (GLN) kein Standort-Eintrag auffindbar.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Standort-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoverySiteID.',$lcat,$l4399), '.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="(count($val_node_ind_data_site_node) eq 1) and exists($val_node_ind_data_site_node/pkm:RecoverySiteIndicator) and (xs:boolean($val_node_ind_data_site_node/pkm:RecoverySiteIndicator[1]) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R512">
							<xsl:attribute name="test">(count($val_node_ind_data_site_node) eq 1) and exists($val_node_ind_data_site_node/pkm:RecoverySiteIndicator) and (xs:boolean($val_node_ind_data_site_node/pkm:RecoverySiteIndicator[1]) eq false())</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsstandorts <xsl:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>. Gemäß Eintrag in edm.gv.at wurde am Standort im Berichtsjahr keine Abfallverwertung durchgeführt.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Standort-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoverySiteID.',$lcat,$l4399), '.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2199')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="*[exists(@xsi:type)]" priority="8" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2225">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2225']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C855 for context "*[exists(@xsi:type)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R855">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung ENTHÄLT das XML-Attribut »xsi:type« (»type«-Attribut aus dem Namensraum »http://www.w3.org/2001/XMLSchema-instance«). Das Datenformat unterstützt »xsi:type« XML-Attribut-Angaben NICHT.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2225')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID" priority="7" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2234">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2234']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C863 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R863">
							<xsl:attribute name="test">not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq current()/text()]))</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> als Übermittlungs-internen Bezug auf Name und Adresse des Verwertungsstandorts den Wert »<xsl:value-of select="current()/text()"/>«. Dieser Wert verweist innerhalb der übermittelten Daten nicht auf Name und Adresse eines Standorts.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit dem Verwertungsstandort-Bezug zusammenhängende Angaben: ',f:describeEvent(..,'','.RecoverySiteLocalReferenceID.',$lcat,$l4399),'.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2234')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 1)]" priority="6" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="sum_a" select="sum(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21']/pkm:Event/xs:decimal(pkm:MassValue))"/>
		<xsl:variable name="sum_b" select="sum(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14']/pkm:Event/xs:decimal(pkm:MassValue))"/>
		<schxslt:rule pattern="d20e2250">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2250']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C886 for context "pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 1)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not($sum_a ge $sum_b)">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R886">
							<xsl:attribute name="test">$sum_a ge $sum_b</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21')"/> über alle Packstoffe hinweg die Gesamtmasse <xsl:value-of select="f:formatMassCore($sum_a)"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14')"/> über alle Packstoffe hinweg die Gesamtmasse <xsl:value-of select="f:formatMassCore($sum_b)"/>. Die Gesamtmasse der recyclierten Verpackungsmaterialien ist für den Berichtszeitraum also größer als die Gesamtmasse der zum Recycling übergebenen Verpackungsmaterialien.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2250')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14']) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14']) eq 1)]" priority="5" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="sum_a" select="sum(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21']/pkm:Event/xs:decimal(pkm:MassValue))"/>
		<xsl:variable name="sum_b" select="sum(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14']/pkm:Event/xs:decimal(pkm:MassValue))"/>
		<schxslt:rule pattern="d20e2271">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2271']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C886 for context "pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14']) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14']) eq 1)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not($sum_a ge $sum_b)">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R886">
							<xsl:attribute name="test">$sum_a ge $sum_b</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21')"/> über alle Packstoffe hinweg die Gesamtmasse <xsl:value-of select="f:formatMassCore($sum_a)"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14')"/> über alle Packstoffe hinweg die Gesamtmasse <xsl:value-of select="f:formatMassCore($sum_b)"/>. Die Gesamtmasse der recyclierten Verpackungsmaterialien ist für den Berichtszeitraum also größer als die Gesamtmasse der zum Recycling übergebenen Verpackungsmaterialien.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2271')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessageCreationPartyID" priority="4" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2292">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2292']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C931 for context "pkm:ReportUserMessage/pkm:MessageCreationPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) and  (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R931">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) and  (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) eq false())</xsl:attribute>
							<svrl:text>Die Übermittlung weist das Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als Ersteller der Übermittlung aus. In der Datenübermittlungs-Interaktion mit dem edm.gv.at Webservice identifiziert und authentifiziert sich der Webservice-Client »<xsl:value-of select="/pkm:MessageValidationContext/pkm:InteractingEDINodeID"/>«. edm.gv.at enthält für »<xsl:value-of select="/pkm:MessageValidationContext/pkm:InteractingEDINodeID"/>« keine aktive (gültige) Freischaltung, im Namen von <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> mit dem Webservice interagieren zu dürfen. Für Übermittlungen an die Behörde ist die Eintragung einer solchen Freischaltung in edm.gv.at jedoch Voraussetzung.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2292')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[not(exists(pkm:Event)) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq true())]" priority="3" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2309">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2309']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C953 for context "pkm:ReportUserMessage/pkm:MessagePart[not(exists(pkm:Event)) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq true())]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R953">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält in jenem Message-Teil, der sich auf Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, die Kennzeichung, dass in Bezug auf die Inhaltsart im Berichtszeitraum zu berichtende Tätigkeiten ausgeübt wurden (»ReportingObligationActivityIndicator« auf Wert »true«), es fehlen aber Angaben zu diesen Tätigkeiten, z.B. Massen je Untergliederung. Es muss eine Übereinstimmung zwischen (a) der Information, ob zu berichtende Tätigkeiten ausgeübt wurden, und (b) dem Vorhandensein btw. Nicht-Vorhandensein von Masse-/Anzahl-Angaben bestehen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2309')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:MassValue[xs:decimal(.) eq 0.0]" priority="2" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2320">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2320']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C956 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:MassValue[xs:decimal(.) eq 0.0]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R956">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>. Das Datenformat unterstützt die Masse 0 nicht. Gruppierungen, z.B. Packstoffe, für die im Berichtszeitraum keine entsprechenden Tätigkeiten ausgeübt wurden, sind nicht mit Masse 0 zu übermitteln, sondern aus der Übermittlung wegzulassen.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Masse 0 zusammenhängende Angaben: ',f:describeEvent(..,'','.MassValue.',$lcat,$l4399), '.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2320')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:Count[xs:decimal(.) lt 0]" priority="1" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2335">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2335']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C958 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:Count[xs:decimal(.) lt 0]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R958">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemCount(..,'','',true())"/>. Das Datenformat unterstützt nur nicht-negative Anzahl-Angaben.<xsl:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der negativen Anzahl zusammenhängende Angaben: ',f:describeEvent(..,'','.Count.',$lcat,$l4399),'.')"/>
							</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2335')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/*" priority="0" mode="d20e1496">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="s_elem_name_ext" select="f:eventElemNameExt($leventelem,local-name(),'val2')"/>
		<schxslt:rule pattern="d20e2351">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2351']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C988 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/*" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="f:isUnsupportedEventElem(..,local-name(),substring(current()/../../pkm:ContentTypeID, string-length(current()/../../pkm:ContentTypeID)-6),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R988">
							<xsl:attribute name="test">f:isUnsupportedEventElem(..,local-name(),substring(current()/../../pkm:ContentTypeID, string-length(current()/../../pkm:ContentTypeID)-6),$l8261)</xsl:attribute>
							<svrl:text>Die Übermittlung enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/>
								<xsl:value-of select="if ($s_elem_name_ext ne '') then (concat(' ',$s_elem_name_ext,' (Datenelement »',local-name(),'«)')) else (concat(' das Datenelement »',local-name(),'«'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' und diese Detailangaben: ',f:describeEvent(..,'','',$lcat,$l4399))"/>. Das Datenformat unterstützt in diesem Zusammenhang keine »<xsl:value-of select="local-name()"/>«-Datenelemente.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2351')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:function name="schxslt:location" as="xs:string">
		<xsl:param name="node" as="node()"/>
		<xsl:variable name="segments" as="xs:string*">
			<xsl:for-each select="($node/ancestor-or-self::node())">
				<xsl:variable name="position">
					<xsl:number level="single"/>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test=". instance of element()">
						<xsl:value-of select="concat('Q{', namespace-uri(.), '}', local-name(.), '[', $position, ']')"/>
					</xsl:when>
					<xsl:when test=". instance of attribute()">
						<xsl:value-of select="concat('@Q{', namespace-uri(.), '}', local-name(.))"/>
					</xsl:when>
					<xsl:when test=". instance of processing-instruction()">
						<xsl:value-of select="concat('processing-instruction(&quot;', name(.), '&quot;)[', $position, ']')"/>
					</xsl:when>
					<xsl:when test=". instance of comment()">
						<xsl:value-of select="concat('comment()[', $position, ']')"/>
					</xsl:when>
					<xsl:when test=". instance of text()">
						<xsl:value-of select="concat('text()[', $position, ']')"/>
					</xsl:when>
					<xsl:otherwise/>
				</xsl:choose>
			</xsl:for-each>
		</xsl:variable>
		<xsl:value-of select="concat('/', string-join($segments, '/'))"/>
	</xsl:function>
</xsl:transform>
